﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[ITEMPROMPTS]') AND name = N'key0')
BEGIN 
PRINT 'Creating index key0 on table ITEMPROMPTS'
CREATE NONCLUSTERED INDEX [key0] ON [dbo].[ITEMPROMPTS] 
(
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ITEMPROMPTS' AND COLUMN_NAME = 'SENT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ITEMPROMPTS_SENT')
BEGIN 
    PRINT 'Creating default constraint DF_ITEMPROMPTS_SENT on table ITEMPROMPTS' 
    ALTER TABLE [dbo].[ITEMPROMPTS]
    ADD CONSTRAINT [DF_ITEMPROMPTS_SENT] DEFAULT ((0)) FOR [SENT]
END 
GO

